Bug 475107 - Review Request: guiloader-c++ - C++ Binding to GuiLoader Library
Review Request: guiloader-c++ - C++ Binding to GuiLoader Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 475082
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 16:39 EST by Fabian Affolter
Modified: 2009-01-26 20:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 10:10:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-07 16:39:44 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/guiloader-c++.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/guiloader-c++-2.12.1-1.fc9.src.rpm

Project URL: http://crow-designer.sourceforge.net/

Description:
GuiLoader/C++ is a C++ binding to GuiLoader library. It is a
convenience layer that simplifies development of GuiLoader based
applications written in C++ language by introducing exception safety,
binding GTK+ objects defined in GuiXml to C++ variables and type-safe
dynamic connection to signals.

rpmlint output:
[fab@laptop024 i386]$ rpmlint guiloader-c++*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint guiloader-c++*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The old Review Request -> https://bugzilla.redhat.com/show_bug.cgi?id=206134
Comment 1 Mamoru TASAKA 2008-12-10 13:26:09 EST
- currently guiloader is not imported into dist-f11 yet 
  so I tested mockbuild locally, only on i386 and it seems good
- spec file good
- tarball matches upstream
- can be installed (but for dist-f11 needing the following task to be completed:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=991702 )

----------------------------------------------------------------
    This package (guiloader-c++) is APPROVED by mtasaka
----------------------------------------------------------------
Comment 2 Mamoru TASAKA 2008-12-15 09:15:50 EST
Please write CVS request.
Comment 3 Fabian Affolter 2008-12-15 17:00:13 EST
There is no need for a CVS request because the directory already exists.  I guess that this was done with #206134.
Comment 4 Mamoru TASAKA 2008-12-16 10:42:40 EST
(In reply to comment #3)
> There is no need for a CVS request because the directory already exists.  I
> guess that this was done with #206134.

Ah, sorry. Then would you rebuild this package?

For branches less than F-11 (i.e. F-10 or F-9), if you want to
rebuild guiloader-c++ before guiloader is pushed into stable
repositories (even if guiloader are in testing repositories
you cannot rebuild -c++ aganist guiloader), please

- visit https://fedorahosted.org/rel-eng
- login there
- create a new ticket with informing
  * that to rebuild guiloader-c++ guiloader packages must be
    tagged as dist-f{10,9}-override
  * the EVRs (epoch-version-release) of guiloader packages
    which you have to have tagged as override.
Comment 5 Fedora Update System 2009-01-07 17:07:46 EST
guiloader-c++-2.12.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/guiloader-c++-2.12.1-1.fc9
Comment 6 Fedora Update System 2009-01-07 23:18:52 EST
guiloader-c++-2.12.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update guiloader-c++'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0321
Comment 7 Mamoru TASAKA 2009-01-08 12:16:34 EST
Please also rebuild this package on F-10/11, and
for F-10 please submit a request on bodhi to push the rebuilt package
into repository.
Comment 8 Fedora Update System 2009-01-12 19:12:09 EST
guiloader-c++-2.13.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/guiloader-c++-2.13.0-1.fc10
Comment 9 Fabian Affolter 2009-01-12 19:14:25 EST
done
Comment 10 Mamoru TASAKA 2009-01-14 10:10:11 EST
Okay, thank you.
Comment 11 Fedora Update System 2009-01-23 21:42:05 EST
guiloader-c++-2.12.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-26 20:53:29 EST
guiloader-c++-2.13.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.